#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, k;
    cin>>n>>k;
    int A[n];
    int cnt=0;
    for(int i=0;i<n;i++)
    {
        cin>>A[i];
        if(A[i]==1)
        {
            cnt++;
        }
    }
    if(cnt<k)
    {
        cout<<0<<endl;
    }
    else{
        cout<<1<<endl;
    }
    return 0;
}